package com.muyu.business.domain;

import com.muyu.common.system.domain.SysRole;
import com.muyu.common.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 授权角色返回结果集 AuthRoleResp
 *
 * @author xiaohuang
 * on 2024/6/4
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AuthRoleResp {

    /**
     * 角色信息
     */
    private SysUser user;


    /**
     * 角色集合
     */
    private List<SysRole> roles;
}
