package com.muyu.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * Cart
 *
 * @author xiaohuang
 * on 2024/6/10
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("cart")
public class Cart {

    @TableId
    private Long id;

    @TableField(value = "name")
    private String name;


    @TableField(value = "type_id")
    private Long typeId;



}
