package com.muyu.business.feign;

import com.muyu.business.domain.Entinfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * EntInfoFeign
 *
 * @author xiaohuang
 * on 2024/6/10
 */

@FeignClient(value = "muyu-business-service" )
public interface EntInfoFeign {

    @GetMapping("ListAll")
    public List<Entinfo> listAll();
}
