package com.muyu.vehicle.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 车辆录入对象 vehicle
 *
 * @author muyu
 * @date 2024-05-27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class VehicleReq
{


    /** 车辆主键 */
    private Long id;

    /** 车辆vin */
    private String number;

    /** 车辆类型 */
    private Long typeId;

    /** 电子围栏ID */
    private Long electonicId;

    /** 电机厂商 */
    private String motor;

    /** 电池厂商 */
    private String battery;

    /** 电机编号 */
    private Long motorNumber;

    /** 电池编号 */
    private Long batteryNumber;

    /** 企业ID */
    private Long businessId;

    /**
     * 企业名称
     */
    private String businessNam;

}
