package com.muyu.business;

import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * qidong XiaoHuangBusinessApplication
 *
 * @author xiaohuang
 * on 2024/6/3
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class XiaoHuangBusinessApplication {
    public static void main(String[] args) {
        SpringApplication.run(XiaoHuangBusinessApplication.class);
    }
}
